%global pypi_name wrapt

%define python3 1

Name:           python-%{pypi_name}
Version:        1.10.5
Release:        %mkrel 3
Group:          Development/Python
Summary:        Python module for decorators, wrappers and monkey patching
License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        http://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

%description
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%if %python3
%package -n python3-%{pypi_name}
Summary:        Python module for decorators, wrappers and monkey patching
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%if %python3
cp -a . %{py3dir}
%endif

%build
%{__python} setup.py build

%if %python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if %python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%{python_sitearch}/*

%if %python3
%files -n python3-%{pypi_name}
%{python3_sitearch}/*
%endif


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.10.5-3.mga6
+ Revision: 958696
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.10.5-2.mga6
+ Revision: 887731
- rebuild for python 3.5

* Tue Sep 01 2015 fwang <fwang> 1.10.5-1.mga6
+ Revision: 871821
- arch dependent package
- imported package python-wrapt

